import { Component } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { RouterModule } from '@angular/router'; // 导入 RouterModule

@Component({
  selector: 'app-nav-tabs',
  templateUrl: './nav-tabs.component.html',
  styleUrls: ['./nav-tabs.component.scss'],
  
})
export class NavTabsComponent {
  public path = '';

  constructor(private route: ActivatedRoute, private router: Router) {
    this.route.queryParams.subscribe(params => {
      this.path = location.pathname;
    });
  }

  goTab(path: string) {
    this.path = path;
    this.router.navigate([path]);
  }
}