import { Component, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DomSanitizer } from '@angular/platform-browser';

interface home {
  name: string;
  description: string;
  image: string;
}

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent {
  homes: home[] = [
    {
      name: 'Digital Collectible 1',
      description: 'This is the first digital collectible.',
      image: 'https://example.com/digital-collectible1.jpg'
    },
    {
      name: 'Digital Collectible 2',
      description: 'This is the second digital collectible.',
      image: 'https://example.com/digital-collectible-2.jpg'
    },
    {
      name: 'Digital Collectible 3',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    {
      name: 'Digital Collectible 4',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    {
      name: 'Digital Collectible 5',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    {
      name: 'Digital Collectible 6',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    {
      name: 'Digital Collectible 3',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    {
      name: 'Digital Collectible 4',
      description: 'This is the third digital collectible.',
      image: 'https://example.com/digital-collectible-3.jpg'
    },
    // 添加更多的数字藏品数据...
  ];
  sanitizer: DomSanitizer;

  constructor(private _sanitizer: DomSanitizer) {
    this.sanitizer = _sanitizer;}

}

@NgModule({
  imports: [CommonModule],
  declarations: [HomeComponent]
})
export class HomeModule { }